Subject: bug#32277: 27.0.50; EWW not align <table> inside <blockquote>

From: Xu Chunyang <[email-masked]>
Date: Fri, 27 Jul 2018 18:22:19 +0800

Brett Gilio writes:

> Xu Chunyang writes:
>
>> For example,
>>
>> <blockquote>
>>   <table>
>>     <tr>
>>       <td>111</td>
>>       <td>222</td>
>>     </tr>
>>     <tr>
>>       <td>333</td>
>>       <td>444</td>
>>     </tr>
>>     <tr>
>>       <td>555</td>
>>       <td>666</td>
>>     </tr>
>>   </table>
>> </blockquote>
>>
>> EWW renders it as the following
>>
>>          111  222       333  444       555  666  
>>
>> What I expected is (i.e., aligned)
>>
>>      111  222       333  444       555  666  
>
> I do not mean to "works on my machine", but it works on my machine.
>
> Do you have any specific configuration for EWW in your .emacs file?

Yes, but I can reproduce from Emacs -Q

    ~ $ cat test.html
    <blockquote>
      <table>
        <tr>
          <td>111</td>
          <td>222</td>
        </tr>
        <tr>
          <td>333</td>
          <td>444</td>
        </tr>
        <tr>
          <td>555</td>
          <td>666</td>
        </tr>
      </table>
    </blockquote>
    ~ $ emacs -Q -nw --eval '(eww-open-file "test.html")'
    ~ $ emacs --version | head -1
    GNU Emacs 25.3.1
    ~ $

The following is the result of EWW

https://preview.ibb.co/dainUT/Screen_Shot_2018_07_27_at_6_18_03_PM.png